使用场景
内容分类
按主题和情感自动对文章、博客文章或文档进行分类
SEO 质量评估
为内容的可读性、关键词使用和 SEO 最佳实践打分
情感监测
在评论、社交媒体或客户反馈中追踪品牌情感
内容策展
根据质量、相关性和情感评分对内容进行筛选和排序
多语言检测
自动识别内容语言并按语言路由进行处理
主题提取
发现主要主题、关键词和实体,用于标记和搜索
Endpoint
POST
/api/v1/tools/analyze_contentAuth Required
Free 计划 2 req/s
3 credits
Parameters
| Name | Type | Required | Default | Description |
|---|---|---|---|---|
text | string | Required | - | 要分析的文本内容(最多 50,000 个字符) Example: Your article or content text here... |
options | object | Optional | - | 分析选项配置 Example: {"enableSemanticAnalysis": true, "includeSEOScore": true} |
enableSemanticAnalysis | boolean | Optional | true | 提取主题、实体和语义结构 Example: true |
includeSEOScore | boolean | Optional | true | 计算 SEO 质量指标 Example: true |
detectLanguage | boolean | Optional | true | 自动识别内容语言 Example: true |
analyzeSentiment | boolean | Optional | true | 执行情感分析 Example: true |
请求示例
terminalBash
响应示例
200 OK1,850ms
{ "success": true, "data": { "language": "en", "languageConfidence": 0.99, "sentiment": { "overall": "positive", "score": 0.75, "magnitude": 0.6, "emotions": { "joy": 0.3, "optimism": 0.45 } }, "topics": [ "artificial intelligence", "software development", "GitHub Copilot", "developer tools" ], "entities": [ { "text": "GitHub Copilot", "type": "PRODUCT", "salience": 0.8 }, { "text": "AI", "type": "TECHNOLOGY", "salience": 0.9 } ], "seoScore": 78, "seoAnalysis": { "readability": 85, "keywordDensity": "optimal", "contentLength": "good", "headingStructure": "needs-improvement", "suggestions": [ "Add headings (H1, H2, H3) for better structure", "Content length is good (150+ words recommended)" ] }, "statistics": { "characterCount": 156, "wordCount": 28, "sentenceCount": 2, "avgWordsPerSentence": 14, "readingTime": "7 seconds" } }, "credits_used": 3, "credits_remaining": 997, "processing_time": 1850}Field Descriptions
data.language检测到的语言(ISO 639-1 代码)data.sentiment.overall整体情感:positive、neutral 或 negativedata.sentiment.score情感极性得分(-1 至 +1)data.topics从内容中提取的主要主题data.entities带类型和重要度(salience)的命名实体data.seoScore整体 SEO 质量得分(0-100)credits_used每次分析固定 3 creditsprocessing_time分析通常耗时 1-3 秒错误处理
文本过长(400 Bad Request)
内容超过 50,000 个字符的限制。请拆分为更小的片段。
文本过短(400 Bad Request)
有意义的分析至少需要 50 个字符。
不支持的语言(400 Bad Request)
无法检测内容语言或该语言不受支持。我们支持 100 多种语言。
分析失败(500 Internal Server Error)
AI 分析时遇到错误。请尝试简化文本或联系支持团队。
专业提示: 为获得最佳效果,请至少提供 200-300 个字符的文本。与 extract_content 配合使用,可自动分析抓取到的网页。
credits 费用
3 credits
每次分析 3 credits
无论文本长度如何(最多 50,000 个字符),费用固定。包含所有分析功能。
包含内容:
语言检测(100 多种语言)
带情绪细分的情感分析
主题和实体提取
SEO 质量评分
可读性指标
内容统计
计划推荐:
Free 计划: 1,000 个一次性试用 credits = 333 次内容分析
Hobby 计划: 5,000 credits = 1,666 次分析($19/mo)
Professional 计划: 50,000 credits = 16,666 次分析($99/mo)
相关工具
准备好试用 analyze_content 了吗?免费注册并获得 1,000 credits 开始构建。